Scribusoid

Author Topic: DLL problem with 1.5.5 install Windows 7  (Read 671 times)

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
DLL problem with 1.5.5 install Windows 7
« on: May 26, 2020, 04:53:52 pm »
I have installed Scribus 1.5.5.
scribus-1.5.5-windows-x64.exe
First it wouldn't run because of a missing dll:

api-ms-win-crt-runtime-|1-1-0.dll

I found three options:
download the file from some .dll site
install windows update
install windows c++ pack

both windows options failed because I so far couldn't find packages that would install on my machine
so I downloaded the dll by itself, three different versions

got a new error message on trying to run 1.5.5
"cannot find procedure entry point vertbase terminate in ..(that)..dll

so the versions of the .dll I can find are not the right ones.
I attach a screenshot of my system info.

My next plan is to uninstall the 64 bit one and try the 32 bit one and see if it runs.
I'll keep you posted

Thanks for any suggestions
I'm not upgrading my system, I'll keep using 1.4.6 if 1.5.5 won't run.
thanks
jack
« Last Edit: May 26, 2020, 05:00:01 pm by jack_cat »

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Re: DLL problem with 1.5.5 install Windows 7
« Reply #1 on: May 26, 2020, 05:09:46 pm »
32 bit install of 1.5.5 isn't working either.
screenshot of error message attached

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Re: DLL problem with 1.5.5 install Windows 7
« Reply #2 on: May 26, 2020, 05:24:29 pm »
Here's the error message screenshot for 1.5.4 64 bit:

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Re: DLL problem with 1.5.5 install Windows 7
« Reply #3 on: May 26, 2020, 07:22:10 pm »
Well: I could conclude that the newer versions of Scribus aren't going to run on my old
Windows 7, and are made to run on Windows 10. I admit that when I ran the
Windows upgrade today it advised me to get W 10.

I spent an hour or so running Windows Update, and had high hopes, but I got the same
error message about the missing module in the .dll.

I found a mention from another user that he or she is running 1.5.5 on Windows 7, so
if appears that that's not the problem.

So, in that case, I am still looking for a version of that .dll file that
will satisfy Scribus's requirements and make it go.

The question is, is there any version of Scribus after 1.4.6 that will run on my machine the
way it is?

I will spend some time today investigating whether
1.5.1 - 1.5.3 will run; otherwise I will remain with 1.4.6
for the foreseeable future. It does do almost everything
I want, except for (sigh) (footnotes...).
« Last Edit: May 26, 2020, 07:40:24 pm by jack_cat »

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Solved: Installed 1.5.2
« Reply #4 on: May 26, 2020, 08:57:21 pm »
Scribus 1.5.2 is installed and I have opened one of my files and it looks good.
thanks
jack

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Re: 1.5.2 installed, footnote function works so far.
« Reply #5 on: May 27, 2020, 03:23:53 pm »
Okay: I have 1.5.2 installed and configured to some degree.
Most importantly I have tested the footnote function and it appears to be working satisfactorily.
It is possible to cut and paste a block of text containing a footnote, and the footnote goes with it,
and to "unweld" the footnote frame from the main text and place it as necessary.

thanks
jack

jack_cat

  • Full Member
  • ***
  • Posts: 113
  • Karma: 1
  • Scribus User
Re: DLL problem with 1.5.5 install Windows 7
« Reply #6 on: May 28, 2020, 04:17:19 pm »
Nix on cutting and pasting text containing footnotes installed by Scribus 1.5.2, it will crash.
I am mapping the work-arounds. See the other thread, "footnotes" in the Beginner section
of the forum.
jack